package com.td.boss.config.enums;

import lombok.Getter;

/**
 * 返回的
 * @author:slambb
 * @date:2019/12/5
 */
@Getter
public enum ResultEnum {
    SUCCESS(0,"成功"),
    //token数据
    TOKEN_SUCCESS(300,"用户授权认证通过!"),
    TOKEN_IS_ILLEGAL(301,"用户授权认证没有通过!客户端请求参数TOKEN信息无效"),
    TOKEN_DOES_NOT_EXIST(302,"用户授权认证没有通过!客户端请求参数中无TOKEN信息"),
    TOKEN_OUT_OF_DATE(303,"用户授权认证没有通过!TOKEN过期，重新获取"),
    TOKEN_DOES_NOT_HAVE_USER_ID(304,"用户授权认证没有通过!TOKEN不存在用户id"),
    NO_PARAMETERS_CARRIED(305,"输入对应参数"),
    //setting部分
    SETTING_IS_NULL(306,"配置信息不存在"),
    //redis部分
    REDIS_IS_LOCK(307,"操作过于频繁，稍后再试！"),
    //用户数据
    USER_DOES_NOT_EXIST(400,"不能存在用户信息！"),
    USER_ENERGY_IS_INSUFFICIENT(401,"用户能量不足！"),
    USER_VERIFICATION_ERROR(402,"签名校验失败"),

    USER_NOT_ADDRESS(403,"用户地址不存在！"),
    USER_LIMIT_LOGIN(404,"用户限制登录！"),

    USER_LOGIN_LOCK(405,"用户保存繁忙，请重试操作！"),
    //角色数据
    PLAYER_DOES_NOT_EXIST(500,"不存在角色信息！"),
    PLAYER_DOES_NOT_ATTRIBUTES(501,"battle player 数据不存在！"),

    PLAYER_GOODS_LIMIT_ERROR(510,"背包超过预设长度！"),
    PLAYER_NO_CHEST_INFO(511,"没有对应宝箱类型信息"),
    PLAYER_NO_EQUIP_TYPE(512,"没有对应装备信息"),
    PLAYER_GOODS_NO_CHEST(513,"背包没有对应宝箱"),
    PLAYER_GOODS_NOT_CHEST_TYPE(514,"不是宝箱类型对象"),
    PLAYER_GOODS_WEAR_NUM_ERROR(515,"请输入对应的参数,isWear:0或者1"),
    PLAYER_GOODS_NO_QUIP_REQUIRED(516,"不用获取多余装备"),

    PLAYER_GOODS_SEEDS_AMOUNT_ERROR(517,"土地消耗种子数量不足"),

    PLAYER_ATTRIBUTE_STRENGTH_IS_NOT(518,"用户体力不足"),

    PLAYER_GOODS_SAVE_LOCK(520,"操作繁忙，保存背包失败，稍后再试！"),
    //钱包数据
    WALLET_CNT_PLAY_ERROR(601,"钱包CNT支付参数数据错误！"),
    WALLET_SNB_INSUFFICIENT_QUANTITY(602,"snb不足以支付！"),
    WALLET_SNB_SUCCESS_NOT_ZERO(603,"snb不可操作"),
    WALLET_SNB_SIGN_ERROR(604,"钱包SNB参数签名错误！"),

    //土地数据
    LAND_DATA_ERROR(701,"土地数据不能初始化！"),
    LAND_NOT_LEASE(702,"土地未租赁！"),
    LAND_IS_LEASE(703,"土地已租赁！"),
    LAND_IS_PLANT(704,"土地已种植！"),
    LAND_NOT_PLANT(705,"土地未种植！"),
    LAND_LEASE_EXPIRED(706,"土地租赁已过期！"),
    LAND_HARVEST_STOLEN(707,"土地已收成过！"),
    LAND_STEAL_ALL(708,"土地已无多余收成！"),
    LAND_STEAL_LOCK(709,"当前偷取人数过多，稍后再试！"),
    LAND_PLANT_FLAG_IS_NULL(710,"土地标识为空，不能偷取"),
    LAND_CAN_STEAL_IS_ZERO(711,"没有可收取果实的土地不存在！"),
    LAND_CAN_STEAL_IS_NULL(712,"没有可收取果实的土地！"),

    LAND_CAN_STEAL_IS_MAX(713,"已无多余利润！"),//达到最大值
    //种子数据不能存在
    SEED_DATA_ERROR(801,"种子数据不存在！"),
    FRUIT_DATA_ERROR(802,"果实数据不存在！"),
    FRUIT_AMOUNT_ERROR(803,"果实数据出错！"),
    FRUIT_SEND_SELF(804,"不能赠送给自己！"),
    SEED_DATE_ERROR(805,"未到成熟时间！"),
    SEED_AMOUNT_ERROR(806,"背包数量不对！"),
    SEED_PLAY_ERROR(807,"支付价格不对！"),
    SEED_PLAY_DIAMOND_ERROR(808,"钻石不足以兑换支付！"),
    SEED_IS_EXCHANGE(809,"种子已经兑换过！"),

    FOOD_DATA_ERROR(810,"食物数据不存在"),
    FOOD_DOT_NOT(811,"狗粮不足！"),

    SEED_SALE_SAVE_LOCK(810,"操作繁忙，出售失败，稍后再试！"),
    //装备相关
    MALL_OTHER_IS_NULL(810,"商城装备不存在!"),
    MALL_OTHER_IS_HAVE(811,"商城装备已经存在!"),
    PLAYER_OTHER_IS_NULL(812,"商城装备不存在!"),
    PLAYER_OTHER_IS_HAVE(813,"商城装备已经存在!"),


    FRUIT_AMOUNT_IS_ZERO_AND_NOT_MULTIPLE(808,"请输入出售果实的数量！"),
    ;
    private Integer code;

    private String message;

    ResultEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
